[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / IEndpoint

# Interface: IEndpoint\<T\>

## Type Parameters

• **T** = `any`

## Methods

### buildRequest()

> **buildRequest**(): `T`

#### Returns

`T`

#### Defined in

[src/parser/types/CommandEndpoints.ts:3](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L3)

***

### getApiPath()

> **getApiPath**(): `string`

#### Returns

`string`

#### Defined in

[src/parser/types/CommandEndpoints.ts:2](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/types/CommandEndpoints.ts#L2)
